Skip to main content
GET
/
refunds
/
reasons
Get Refund Reasons
curl --request GET \
  --url https://api.fyatu.com/api/v3/refunds/reasons \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "status": 200,
  "message": "<string>",
  "data": {
    "reasons": [
      {
        "code": "<string>",
        "description": "<string>"
      }
    ]
  },
  "meta": {
    "requestId": "req_abc123def456",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Overview

Retrieve the list of available refund reason codes. Use these codes when creating a refund to categorize the reason for the refund.

Response

FieldTypeDescription
reasonsarrayList of available reason codes
reasons[].codestringReason code to use in refund requests
reasons[].descriptionstringHuman-readable description

Example Request

curl -X GET https://api.fyatu.com/api/v3/refunds/reasons \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response

{
  "success": true,
  "status": 200,
  "message": "Refund reasons retrieved successfully",
  "data": {
    "reasons": [
      {
        "code": "DUPLICATE_PAYMENT",
        "description": "Duplicate payment"
      },
      {
        "code": "FRAUDULENT",
        "description": "Fraudulent transaction"
      },
      {
        "code": "CUSTOMER_REQUEST",
        "description": "Customer requested refund"
      },
      {
        "code": "ORDER_CANCELLED",
        "description": "Order was cancelled"
      },
      {
        "code": "PRODUCT_NOT_DELIVERED",
        "description": "Product/service not delivered"
      },
      {
        "code": "PRODUCT_NOT_AS_DESCRIBED",
        "description": "Product/service not as described"
      },
      {
        "code": "PRICING_ERROR",
        "description": "Pricing or billing error"
      },
      {
        "code": "OTHER",
        "description": "Other reason"
      }
    ]
  },
  "meta": {
    "requestId": "req_reasons123",
    "timestamp": "2026-01-08T14:00:00+00:00"
  }
}

Using Reason Codes

When creating a refund, pass the code value in the reason field:
{
  "mode": "FULL",
  "reason": "CUSTOMER_REQUEST"
}
If you don’t specify a reason when creating a refund, CUSTOMER_REQUEST is used as the default.

Authorizations

Authorization
string
header
required

JWT access token obtained from /auth/token

Response

Refund reasons retrieved successfully

success
boolean
Example:

true

status
integer
Example:

200

message
string
data
object
meta
object